# Startseite

Auf dieser Seite finden Sie ein Guide mit allen grundlegenden Informationen, um sich als Mitglied der Öffentlichen Verwaltung auf der Plattform openCode zurecht zu finden.

_Falls Sie sich schon ein wenig mit GitLab und Git auskennen, verweisen wir Sie an dieser Stelle auf die [offizielle Dokumentation von GitLab](https://university.gitlab.com/catalog)._

## Was ist openCode?

openCode ist die erste bundesweite Plattform, über die die Öffentliche Verwaltung auf Ebene von Bund, Ländern und Kommunen nach Open-Source-Software suchen und diese nutzen, eigenen Code entwickeln oder bestehenden Projekten mitgestalten kann.

Unser Ziel ist es, eine Plattform zu schaffen, die die Nutzung und Bereitstellung nachhaltiger Open-Source-Lösungen fördert, und eine ebenenübergreifende Zusammenarbeit ermöglicht.

Weitere Informationen zu openCode, können Sie auf der [openCode-Webseite](https://opencode.de/de/was-ist-opencode) nachlesen.

![openCode](assets/openCode_logo.svg "Logo von openCode"){ style="background-color:#ffffff;" }

Die Plattform openCode basiert auf folgenden Diensten:

- Die [Gitlab-Instanz von openCode](https://gitlab.opencode.de) stellt das Herzstück von openCode dar. Unsere GitLab-Instanz ermöglicht es Entwickler:innen, ihren Code zu speichern, zu verwalten und gemeinsam daran zu arbeiten.
- Das [openCode-Softwareverzeichnis](https://software.opencode.de) bietet einen nutzerfreundlichen Überblick über die Software, welche auf openCode bzw. auf der GitLab-Instanz von openCode veröffentlich wird.
- Einer [Discourse-Instanz](https://discourse.opencode.de/), auf welcher Diskussionen der Nutzer:innen von openCode stattfinden können.

Die GitLab-Instanz und das Softwareverzeichnis erreichen sie über das [Dashboard](https://opencode.de/de/dashboard) direkt nach der Anmeldung auf openCode:

![openCode-Dashboard](assets/images/startseite/dashboard.png "openCode-Dashboard")