*[Projekt]: Ein Projekt (engl. repository) ist ein Verzeichnis mit allen ihren Projektdateien. Durch die Nutzung der Versionsverwaltung git werden alle Änderungen (über commits) dokumentiert.
    
*[fork]: Ein Fork stellt eine eigenständige Kopie eines anderen Repositories dar, in welchem die gesamte Historie des ursprünglichen Projekt erhalten bleibt. Änderungen werden allerdings nicht dem ursprünglichen Projekt beigetragen.

*[Fork]: Ein Fork stellt eine eigenständige Kopie eines anderen Repositories dar, in welchem die gesamte Historie des ursprünglichen Projekt erhalten bleibt. Änderungen werden allerdings nicht dem ursprünglichen Projekt beigetragen.

*[forken]: Ein Fork stellt eine eigenständige Kopie eines anderen Repositories dar, in welchem die gesamte Historie des ursprünglichen Projekt erhalten bleibt. Änderungen werden allerdings nicht dem ursprünglichen Projekt beigetragen.

*[clone]: Ein Projekt zu klonen bedeutet, eine lokale Kopie eines bestehenden Projekts auf ihrem lokalen Computer zu erstellen.

*[klonen]: Ein Projekt zu klonen bedeutet, eine lokale Kopie eines bestehenden Projekts auf ihrem lokalen Computer zu erstellen.

*[commit]: Wenn sie einen commit erstellen, bedeutet das, dass sie Ihre Änderungen in ihrem Projekt sichern und sie mit einer Nachricht versehen, die erklärt, was genau sie an dem Programm-Code verändert haben.

*[branch]: Über Branches (engl. Ast/Zweig) werden verschiedene Entwicklungsstränge repräsentiert. In einem Projekt gibt es oft einen Haupt-Branch (meistens _main_ genannt), der den stabilen Code enthält. Wenn sie eine neue Funktion entwickeln oder ein Problem beheben möchtest, können sie einen neuen Branch erstellen. 

*[push]: Senden von Änderungen von einem lokalen Projekt (auf ihrem Computer) an ein entferntes Projekt (z.B. auf einem Server oder anderen Computer).

*[pull]: Anfrage auf die Commits, welche von anderen Nutzer:innen an einem Projekt auf einem anderen Gerät vorgenommen worden sind.

*[merge]: Ein merge bezeichnet den Vorgang einer Zusammenführung eines Projekts oder branch mit einem anderen Projekt.

*[ZenDiS]: Zentrum für Digitale Souveränität der Öffentlichen Verwaltung GmbH.

*[BMI]: Bundesministeriums des Innern und für Heimat bietet Informationen.

*[z.B.]: zum Beispiel.

*[bzw.]: beziehungsweise.

*[Git]: Git ist ein freie und Open Source verteiltes Versionskontrollsystem für alles von klein bis sehr große Projekte.

*[Artefakte]: Als Artefakte werden die Ergebnisse von Aktivitäten im Prozess der Softwareentwicklung beschrieben. Typischerweise sind Artefakte Dateien, die aus Quellcode erzeugt werden, wie bspw. ein Kompilat oder Executable.

*[CVE]: Common Vulnerabilities and Exposures – ein Referenzierungssystem mit einheitlicher Nomenklatur zur Benennung öffentlich bekannter Sicherheitslücken. Jede CVE-ID beschreibt eine eindeutige Sicherheitslücke und standardisiert den Informationsaustausch dazu.

*[Repository]: Ein (Git)-versionierter Ablageort für den Quellcode eines Projektes. Häufig wird der Begriff auch synonym zum Code Repository Management System verwendet – im Kontext der Plattform meist GitLab.

*[CRMS]: Code Repository Management System – die Gruppierung mehrerer Code Repositories mit Management-Funktionalitäten. Auf der openCode-Plattform stellt GitLab das CRMS dar.

*[Contributor]: Eine Person, die im Rahmen kollaborativer Entwicklung Code oder Inhalte zu einem Projekt beiträgt, ohne dabei ihr Urheberrecht vollständig abzugeben.

*[CLA]: Contributor License Agreement – eine rechtlich verbindliche Vereinbarung, die die Konditionen für Beiträge zu einem Projekt regelt.

*[Copyleft]: Eine Eigenschaft bestimmter Open-Source-Lizenzen, die abgeleitete Werke nur unter derselben Lizenz zulassen.

*[DCO]: Developers Certificate of Origin – ein von der Linux Foundation eingeführter Mechanismus, der regelt, unter welchen Bedingungen Beiträge zu einem Projekt eingebracht werden, und als Alternative zum CLA dient.

*[Discourse]: Die technische Umsetzung des Diskussionsforums auf der openCode-Plattform.

*[Distribution]: Im Open-Source-Kontext die Übertragung von Inhalten – etwa das Bereitstellen von Quellcode oder Kompilaten – mit besonderer Beachtung lizenzrechtlicher Aspekte.

*[Fork]: Die Erstellung einer eigenständigen Kopie eines bestehenden Repositories als neuen Entwicklungszweig, wobei die Historie erhalten bleibt.

*[GitLab]: Ein Code Repository Management System (CRMS) und eine kollaborative Entwicklungsplattform die auf Git einer freien und Open Source verteiltes Versionskontrollsystem basiert.

*[Inhalte]: Alle Dateien (Quellcode, Bilder, Texte usw.), die auf der openCode-Plattform abgelegt werden, ohne Unterscheidung zwischen eigenen und Drittinhalten.

*[Kompilate]: Ein Sammelbegriff für alle komplexen Dateien und Artefakte, die aus mehreren Quelldateien erzeugt werden und oft mehrere lizenzbehaftete Komponenten vereinen.

*[Komponente]: Ein individuell, eindeutig identifizierbarer Bestandteil, der in eine Software, ein Softwareprodukt, ein Kompilat oder Ähnliches eingeht.

*[Lizenzliste]: Die Liste der für die Nutzung auf der openCode-Plattform freigegebenen Open-Source-Lizenzen, die nach fachlicher und juristischer Prüfung ausgewählt wurden.

*[Maintainer]: Eine Person, die wesentlich an der Entwicklung eines Projekts beteiligt ist und im Auftrag des Repository-Owners über das Einfließen von Beiträgen entscheidet.

*[Negativliste]: Die Liste aller Lizenzen, die von openCode als nicht Open Source anerkannt werden und deren Verbreitung auf der Plattform untersagt ist.

*[Quellcode]: Quellcode (engl. Source Code) ist die Sammlung von in einer Programmiersprache geschriebenen Anweisungen. Im Kontext der Plattform werden auch Mediendateien (z. B. Bilder) als Bestandteil des Quellcodes mit einbezogen.

*[Open-Source-Projekt]: Ein Open-Source-Projekt im Sinne von openCode ist jedes Projekt, dessen Bestandteile unter einer von openCode freigegebenen Open-Source-Lizenz stehen.

*[Open-Source-Software]: Open Source (Software) bezeichnet Inhalte und Software mit offenem Quellcode, die unter einer freigegebenen Open Source Lizenz stehen – hier ist die OSI-Definition anzuwenden.

*[Open-Source-Obligation]: Open-Source-Obligationen sind alle aus der Nutzung, Modifikation und Weiterverbreitung einer Open-Source-Lizenz entstehenden Verpflichtungen, wie z. B. das Nennen von Lizenztexten, Copyrights, das Weiterverbreiten oder den Austausch von Komponenten.

*[Patentleft]: Patentleft bezeichnet eine Eigenschaft von Open-Source-Lizenzen, die die Nutzung der Patente des originären Werks mit einschließt.

*[Permissiv]: Permissive Lizenzen erheben keine Ansprüche an abgeleitete Werke und haben in der Regel deutlich weniger Auflagen als CopyLeft-Lizenzen.

*[Project-Artifact-Repository]: Ein Project Artifact Repository bezeichnet den Ablageort für die Artefakte eines Projekts und ist Teil des Code Repository Management Systems (CRMS) GitLab.

*[Project-Repository]: Ein Project Repository ist der (Git)-versionierte Ablageort für den Quellcode eines Projekts und Teil des CRMS GitLab. Alternativ wird auch der Begriff "Code Repository" verwendet.

*[Proprietäre-Produkte]: Proprietäre Produkte sind Produkte oder Software, die nicht unter einer Open Source Lizenz gemäß OSI lizenziert sind.

*[publiccode.yml]: Die publiccode.yml ist eine standardisierte Beschreibung eines Projekts mit definierten Schlüsselwörtern, die zur Aufnahme in das Softwareverzeichnis erforderlich ist.

*[Repository-Owner]: Repository Owner sind Nutzende, die ein eigenes Entwicklungsprojekt auf openCode betreiben und dafür verantwortlich sind. In ihrer Rolle dürfen sie keine wesentliche Dokumentation vorenthalten – hierfür ist der Status "Identifizierte Nutzende" notwendig.

*[SBOM]: Die Software Bill of Materials (SBOM) ist die formelle Erfassung aller in einem Softwareprodukt verwendeten Komponenten – standardmäßig wird hier die SPDX 2.2.1-Spezifikation zugrunde gelegt.

*[Softwareverzeichnis]: Das Softwareverzeichnis ist ein durchsuchbarer Katalog an Open-Source-Projekten und Lösungen auf der openCode-Plattform, in dem Details und Gütekriterien zu den jeweiligen Projekten transparent dargestellt werden.

*[Frameworks]: In der Softwareentwicklung eine vorgefertigte, strukturgebende Sammlung von Komponenten, Bibliotheken und Regeln, die Programmiererinnen und Programmierern bei der Erstellung von Anwendungen helfen.

*[Template]: sind Vorlagen auf die man als Blaupause sich orientieren kann um nicht von Ganz Vorne zu beginnen.

*[Templates]: sind Vorlagen auf die man als Blaupause sich orientieren kann um nicht von Ganz Vorne zu beginnen.

*[FITKO]: Föderale IT-Kooperation

*[ÖV]: Öffentlichen Verwaltung 
